from django.urls import path, include
from rest_framework.routers import DefaultRouter

from apps.mtm.views import (MgroupViewSet, ShiftViewSet, TeamViewSet, MaterialViewSet,
                            GoalViewSet, ProcessViewSet, RouteViewSet, TeamMemberViewSet,
                            RoutePackViewSet, SruleViewSet, RouteMatViewSet)

API_BASE_URL = 'api/mtm/'
HTML_BASE_URL = 'dhtml/mtm/'

router = DefaultRouter()
router.register('mgroup', MgroupViewSet, basename='mgroup')
router.register('team', TeamViewSet, basename='team')
router.register('material', MaterialViewSet, basename='material')
router.register('shift', ShiftViewSet, basename='shift')
router.register('goal', GoalViewSet, basename='goal')
router.register('process', ProcessViewSet, basename='process')
router.register('routepack', RoutePackViewSet, basename='routepack')
router.register('route', RouteViewSet, basename='route')
router.register('teammember', TeamMemberViewSet, basename='teammember')
router.register('srule', SruleViewSet, basename='srule')
router.register("routemat", RouteMatViewSet, basename="routemat")
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
